check-sieve(1)

NAME
check-sieve - Syntax checker for mail sieves.

SYNOPSIS
check-sieve [options] file [ file ... ]
check-sieve --help
check-sieve --version

DESCRIPTION
check-sieve is a simple syntax checker for server-side mail sieves. It supports many mail-sieve RFCs, details of which can be found below.

OPTIONS

-h, --help
    Show the program help

--max-list-length N
    Check length of string lists, and flag any that are longer than the specified length

--server <host>:<port>
    Connect to the specified server, and only enable advertised capabilities

--trace-parser
    Trace the operation of the parser

--trace-scanner
    Trace the operation of the scanner

--trace-tree
    Trace the abstract-syntax-tree

--version
    Print out version information

BUGS
For information on existing issues, and to file a bug report check the following URL: https://github.com/dburkart/check-sieve/issues

AUTHORS
Dana Burkart
Stuart Montgomery

SUPPORTED RFCs
The full list of supported RFCs is:
    Sieve: An Email Filtering Language (RFC 5228)
    Variables Extension (RFC 5229)
    Date and Index Extensions (RFC 5260)
    Vacation Extension (RFC 5230)
    Include Extension (RFC 6609)
    Copying Without Side Effects (RFC 3894)
    Reject and Extended Reject Extensions (RFC 5429)
    Body Extension (RFC 5173)
    Relational Extension (RFC 5231)
    MIME Part Tests, Iteration, Extraction, Replacement, and Enclosure (RFC 5703)
    Imap4flags Extension (RFC 5232)
    Editheader Extension (RFC 5293)
    Regex Extension (DRAFT)
    Spamtest and Virustest Extensions (RFC 5235)
    Extensions for Notifications (RFC 5435)
    Subaddress Extension (RFC 5233)
    Ihave Extension (RFC 5463)
    Environment Extension (RFC 5183)
    Sieve Notification Mechanism: mailto (RFC 5436)
    Internet Message Access Protocol (IMAP) Events (RFC 6785)
    Converting Messages before Delivery (RFC 6558)
    Externally Stored Lists (RFC 6134)
    Proton Expiration Extension (vendor-specific)
    Proton Eval Extension (vendor-specific)